<!--/.row-->
<div class="card">
  <div class="card-body">
    <!--/.row  -->
    <div class="row">
      <div class="col-md-12">
        <div
          style="margin-left: 38%; margin-top: 10%; margin-bottom: 70%"
          *ngIf="
            !showElementChart &&
            !showAccomodationChart &&
            (loaderService.isLoading | async)
          "
        >
          <div>
            <img
              src="assets/img/gif/paper-boat.gif"
              alt="this slowpoke moves"
              width="180"
              style="margin-left: 8%"
            />
            <h4 style="color: rgb(11, 79, 105)">
              Chargement des statistiques en cours ..
            </h4>
          </div>
        </div>
        <!--Charts Here-->
        <div class="card">
          <div class="card-header">Chartes graphiques</div>
          <div class="card-body">
            <div class="card-columns cols-2">
              <div class="card">
                <div class="card-header">
                  Chart des status
                  <div class="card-header-actions">
                    <a href="http://www.chartjs.org">
                      <small class="text-muted">docs</small>
                    </a>
                  </div>
                </div>
                <div class="card-body">
                  <div class="chart-wrapper">
                    <canvas
                      baseChart
                      class="chart"
                      [datasets]="barChartData"
                      [labels]="barChartLabels"
                      [options]="barChartOptions"
                      [legend]="barChartLegend"
                      [chartType]="barChartType"
                      (chartHover)="chartHovered($event)"
                      (chartClick)="chartClicked($event)"
                    ></canvas>
                  </div>
                </div>
              </div>
              <div class="card">
                <div class="card-header">
                  Chart des lieu
                  <div class="card-header-actions">
                    <a href="http://www.chartjs.org">
                      <small class="text-muted">docs</small>
                    </a>
                  </div>
                </div>
                <div class="card-body">
                  <div class="chart-wrapper">
                    <canvas
                      baseChart
                      class="chart"
                      [datasets]="barChartData2"
                      [labels]="barChartLabels2"
                      [options]="barChartOptions2"
                      [legend]="barChartLegend2"
                      [chartType]="barChartType2"
                      (chartHover)="chartHovered($event)"
                      (chartClick)="chartClicked($event)"
                    ></canvas>
                  </div>
                </div>
              </div>
            </div>
            <div
              class="card-columns cols-2"
              *ngIf="showElementChart && showAccomodationChart"
            >
              <div class="card">
                <div class="card-header">
                  Chart des éléments
                  <div class="card-header-actions">
                    <a href="http://www.chartjs.org">
                      <small class="text-muted">docs</small>
                    </a>
                  </div>
                </div>
                <div class="card-body">
                  <div class="chart-wrapper">
                    <canvas
                      baseChart
                      class="chart"
                      [data]="pieChartData"
                      [labels]="pieChartLabels"
                      [chartType]="pieChartType"
                      (chartHover)="chartHovered($event)"
                      (chartClick)="chartClicked($event)"
                    ></canvas>
                  </div>
                </div>
              </div>
              <div class="card">
                <div class="card-header">
                  chart des hébergements
                  <div class="card-header-actions">
                    <a href="http://www.chartjs.org">
                      <small class="text-muted">docs</small>
                    </a>
                  </div>
                </div>
                <div class="card-body">
                  <div class="chart-wrapper">
                    <canvas
                      baseChart
                      class="chart"
                      [data]="doughnutChartData"
                      [labels]="doughnutChartLabels"
                      [chartType]="doughnutChartType"
                      (chartHover)="chartHovered($event)"
                      (chartClick)="chartClicked($event)"
                    ></canvas>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="card">
          <div class="card-header">Statistiques</div>
          <div class="card-body">
            <div class="row">
              <div class="col-sm">
                <div class="row">
                  <div class="col-sm-6">
                    <div class="callout callout-info">
                      <small class="text-muted"
                        >Nombre totale d'utilisateurs</small
                      >
                      <br />
                      <strong class="h4">{{ totalCount }}</strong>
                    </div>
                  </div>
                  <!--/.col-->
                  <div class="col-sm-6">
                    <div class="callout callout-danger">
                      <small class="text-muted"
                        >Nombre d'utilisateurs<B> actifs</B></small
                      >
                      <br />
                      <strong class="h4">{{ totalCountActif }}</strong>
                    </div>
                  </div>
                  <!--/.col-->
                  <div class="col-sm-6">
                    <div class="callout callout-warning">
                      <small class="text-muted"
                        >Nombre d'utilisateurs <B>confirmés</B></small
                      >
                      <br />
                      <strong class="h4">{{ totalCountConfirmed }}</strong>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="callout callout-success">
                      <small class="text-muted"
                        >Nombre d'utilisateurs<B> non confirmés</B></small
                      >
                      <br />
                      <strong class="h4">{{ totalCountNotConfirmed }}</strong>
                    </div>
                  </div>
                </div>
                <!--/.row-->
              </div>
              <!--/.row-->
              <br />
              <!--Dashboard of users here-->
              <div *ngIf="this.isAdmin">
                <hr class="mt-0" />
                <table
                  class="table table-responsive-sm table-hover table-outline mb-0"
                >
                  <thead class="thead-light">
                    <tr>
                      <th class="text-center"><i class="icon-people"></i></th>
                      <th>Email</th>
                      <th class="text-center">Date de création du compte</th>
                      <th class="text-center">Status</th>
                      <th class="text-center">Activité</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let user of users">
                      <td class="text-center">
                        <div class="avatar">
                          <img
                            src="assets/img/avatars/user.png"
                            class="img-avatar"
                            alt="admin@bootstrapmaster.com"
                          />
                          <span
                            class="avatar-status badge-success"
                            *ngIf="user.is_active == true"
                          ></span>
                          <span
                            class="avatar-status badge-danger"
                            *ngIf="user.is_active == false"
                          ></span>
                          <span
                            class="avatar-status badge-warning"
                            *ngIf="
                              user.confirmed_account == false &&
                              user.is_active == true
                            "
                          ></span>
                        </div>
                      </td>
                      <td>
                        <div>{{ user.email }}</div>
                        <div class="small text-muted">
                          <span>Id:</span> {{ user.id }}
                        </div>
                      </td>
                      <!--
                      <td class="text-center">
                        <i
                          class="flag-icon flag-icon-fr h4 mb-0"
                          title="fr"
                          id="fr"
                          *ngIf="user.language == 'fr'"
                        ></i>
                        <i
                          class="flag-icon flag-icon-gb h4 mb-0"
                          title="gb"
                          id="gb"
                          *ngIf="user.language == 'en'"
                        ></i>
                        <i
                          class="flag-icon flag-icon-es h4 mb-0"
                          title="es"
                          id="es"
                          *ngIf="user.language == 'es'"
                        ></i>
                      </td>-->
                      <td class="text-center">
                        <div class="clearfix">
                          <B>{{ user.created_at | date: "d MMM y" }}</B>
                        </div>
                      </td>
                      <td class="text-center">
                        <span
                          class="badge badge-pill badge-success"
                          *ngIf="user.is_active == true"
                          >Actif</span
                        >
                        <span
                          class="badge badge-pill badge-danger"
                          *ngIf="user.is_active == false"
                          >Inactif</span
                        >
                        <span
                          class="badge badge-pill badge-primary"
                          *ngIf="user.confirmed_account == true"
                          >Confirmé</span
                        >
                        <span
                          class="badge badge-pill badge-warning"
                          *ngIf="user.confirmed_account == false"
                          >Non confirmé</span
                        >
                      </td>
                      <td class="text-center">
                        <div class="small text-muted">
                          Dernière mise à jour :
                        </div>
                        <small
                          >{{ user.updated_at | date: " d MMM, y,  h:mm " }}
                        </small>
                      </td>
                    </tr>
                    <!---one item of table-->
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!--/.col-->
      </div>
      <!--/.row-->
    </div>
  </div>
</div>
